from enum import Enum


class Keywords(Enum):
    # define keywords
    Library = 'lib'
    Class = 'class'
    Function = 'func'
    Variable = 'var'
    Use = 'use'
    From = 'from'

    # builtin functions
    Output = 'output'
    Input = 'input'
    Length = 'length'
    Range = 'range'
    Exit = 'exit'
    ForEach = 'forEach'

    # normal keywords
    If = 'if'
    ElseIf = 'elseif'
    Else = 'else'
    Continue = 'continue'
    In = 'in'
    Return = 'return'

    # loops
    While = 'while'
    For = 'for'
    Foreach = 'foreach'

    # access
    Public = 'public'
    Private = 'private'
    Static = 'static'
    This = 'this'
    Type = 'type'


class Booleans(Enum):
    Right = 'true'
    Wrong = 'false'


class ExpressionCharacters(Enum):
    Plus = '+'
    Minus = '-'
    Asterisk = '*'
    Slash = '/'
    Equal = '='
    Caret = '^'


class FormatCharacters(Enum):
    Left_Brace = '{'
    Right_Brace = '}'
    Left_Parenthesis = '('
    Right_Parenthesis = ')'
    Left_Bracket = '['
    Right_Bracket = ']'
    Semicolon = ';'
    Colon = ':'
    Comma = ','
    Point = '.'

